flake8:
    image: octobus/ci-py2-hgext3rd
    script:
        - hg files -0 'set:(**.py or grep("^#!.*python")) - removed()' -X hgext3rd/evolve/thirdparty | xargs -0 flake8

pytype:
    image: octobus/ci-py3-hgext3rd
    script:
        - hg pull -R /ci/repos/mercurial/
        - hg_rev=$(tests/testlib/map-hg-rev.sh "$(hg log -r . -T '{branch}')")
        - hg -R /ci/repos/mercurial/ update "$hg_rev"
        - echo testing with mercurial branch="$hg_rev", revision="$(hg log -R /ci/repos/mercurial/ -r . -T '{node}')"
        - jobs=$(python -c 'import multiprocessing; print multiprocessing.cpu_count()')
        - pytype -P /ci/repos/mercurial/:hgext3rd -k hgext3rd -x hgext3rd/evolve/thirdparty -j $jobs || true
    when: manual

tests-py2-cext:
    image: octobus/ci-py2-hgext3rd
    script:
        - hg pull -R /ci/repos/mercurial/
        - hg_rev=$(tests/testlib/map-hg-rev.sh "$(hg log -r . -T '{branch}')")
        - hg -R /ci/repos/mercurial/ update "$hg_rev"
        - echo testing with mercurial branch="$hg_rev", revision="$(hg log -R /ci/repos/mercurial/ -r . -T '{node}')"
        - (cd tests; /ci/repos/mercurial/tests/run-tests.py --color=always)

tests-py2-pure:
    image: octobus/ci-py2-hgext3rd
    script:
        - hg pull -R /ci/repos/mercurial/
        - hg_rev=$(tests/testlib/map-hg-rev.sh "$(hg log -r . -T '{branch}')")
        - hg -R /ci/repos/mercurial/ update "$hg_rev"
        - echo testing with mercurial branch="$hg_rev", revision="$(hg log -R /ci/repos/mercurial/ -r . -T '{node}')"
        - (cd tests; /ci/repos/mercurial/tests/run-tests.py --color=always --pure)

tests-py3-cext:
    image: octobus/ci-py3-hgext3rd
    script:
        - hg pull -R /ci/repos/mercurial/
        - hg_rev=$(tests/testlib/map-hg-rev.sh "$(hg log -r . -T '{branch}')")
        - hg -R /ci/repos/mercurial/ update "$hg_rev"
        - echo testing with mercurial branch="$hg_rev", revision="$(hg log -R /ci/repos/mercurial/ -r . -T '{node}')"
        - (cd tests; python3 /ci/repos/mercurial/tests/run-tests.py --color=always)

tests-py3-pure:
    image: octobus/ci-py3-hgext3rd
    script:
        - hg pull -R /ci/repos/mercurial/
        - hg_rev=$(tests/testlib/map-hg-rev.sh "$(hg log -r . -T '{branch}')")
        - hg -R /ci/repos/mercurial/ update "$hg_rev"
        - echo testing with mercurial branch="$hg_rev", revision="$(hg log -R /ci/repos/mercurial/ -r . -T '{node}')"
        - (cd tests; python3 /ci/repos/mercurial/tests/run-tests.py --color=always --pure)

doc:
    image: octobus/ci-py2-evolve-doc
    script:
        - cd docs/
        - make
    variables:
        LANG: en_us.UTF-8
        PYTHONPATH: "/ci/repos/mercurial:$PYTHONPATH"
    artifacts:
        paths:
            - html/*
